math::TExpander< T > Class Template Reference

`#include <expander.h>`

Inheritance diagram for math::TExpander< T >:
[legend]
Collaboration diagram for math::TExpander< T >:
[legend]

## Static Public Member Functions

static TNode< T > * | expand (TNode< T > *AExpression)

## Additional Inherited Members

## Detailed Description

### template<class T>
class math::TExpander< T >

This class impelents the expander extension. It intents to be the opposite of the simplify implementation.

Todo:
  : implementation.

Definition at line 36 of file expander.h.

## Member Function Documentation

template<class T >

static TNode<T>* math::TExpander< T >::expand | ( | TNode< T > * | AExpression | ) |

static

expands given expression (AExpression).

The documentation for this class was generated from the following file:

- expander.h